classification
Title: Document ... used in recursive repr of containers
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, miss-islington, r.david.murray, rhettinger, serhiy.storchaka, terry.reedy, vexoxev
Priority: normal Keywords: easy, patch

Created on 2010-09-13 00:05 by eric.araujo, last changed 2018-11-20 19:19 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4063 merged pablogsal, 2017-10-20 20:09
PR 10330 merged serhiy.storchaka, 2018-11-05 05:46
PR 10612 merged miss-islington, 2018-11-20 17:26
PR 10613 merged miss-islington, 2018-11-20 17:26
Messages (9)
msg116256 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-13 00:05
Built-in containers like dict use an ellipsis to represent a recursive item.  In the symbols index, “...” only links to the secondary prompt; I think it should also link to a paragraph explaining the display of recursive containers.
msg116262 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-09-13 00:55
... is also the Ellipsis object, and it is probably even more important that the index cross reference that usage :)
msg304762 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-10-22 21:18
Since the appearance of reprs is not guaranteed.  I don't think this should be documented (because doing so makes it a guaranteed behavior).  In fact, the appearance has changed over time from ... to  [...] in and may change at some point to <...> so that it can't be confused with an actual Ellipsis object.  At best this should be a FAQ entry or we can defer to behaviors that are documented and guaranteed (such as reprlib.recursive_repr() and its default fillvalue).  

I concur with David Murray that the Ellipsis object should be indexed and cross-referenced.
msg329272 - (view) Author: miss-islington (miss-islington) Date: 2018-11-04 22:36
New changeset b4db249c9544fc4425c32feb86d610f3224ca3d8 by Miss Islington (bot) (Pablo Galindo) in branch 'master':
bpo-9842: Add cross-reference to the ellipsis object (GH-4063)
https://github.com/python/cpython/commit/b4db249c9544fc4425c32feb86d610f3224ca3d8
msg329278 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-05 05:47
PR 10330 adds few references for using an ellipsis as a placeholder.
msg330055 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-18 17:28
Could anybody please look at PR 10330?
msg330137 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-20 17:26
New changeset 6c48bf2d9e1e18dfbfa35f7582ddd32f11f75129 by Serhiy Storchaka in branch 'master':
bpo-9842: Add references for using "..." as a placeholder to the index. (GH-10330)
https://github.com/python/cpython/commit/6c48bf2d9e1e18dfbfa35f7582ddd32f11f75129
msg330139 - (view) Author: miss-islington (miss-islington) Date: 2018-11-20 18:07
New changeset f8f9915f9585a5d4f4a4457ef43ac66607c5f380 by Miss Islington (bot) in branch '3.7':
bpo-9842: Add references for using "..." as a placeholder to the index. (GH-10330)
https://github.com/python/cpython/commit/f8f9915f9585a5d4f4a4457ef43ac66607c5f380
msg330140 - (view) Author: miss-islington (miss-islington) Date: 2018-11-20 18:08
New changeset dac5124ba498b51a2c46e2bda751150ae244ed47 by Miss Islington (bot) in branch '3.6':
bpo-9842: Add references for using "..." as a placeholder to the index. (GH-10330)
https://github.com/python/cpython/commit/dac5124ba498b51a2c46e2bda751150ae244ed47
History
Date User Action Args
2018-11-20 19:19:37serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-20 18:08:11miss-islingtonsetmessages: + msg330140
2018-11-20 18:07:57miss-islingtonsetmessages: + msg330139
2018-11-20 17:26:30miss-islingtonsetpull_requests: + pull_request9856
2018-11-20 17:26:22miss-islingtonsetpull_requests: + pull_request9855
2018-11-20 17:26:14serhiy.storchakasetmessages: + msg330137
2018-11-18 17:28:37serhiy.storchakasetmessages: + msg330055
2018-11-05 05:47:38serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg329278
2018-11-05 05:46:01serhiy.storchakasetpull_requests: + pull_request9634
2018-11-04 22:36:27miss-islingtonsetnosy: + miss-islington
messages: + msg329272
2017-10-22 21:18:50rhettingersetnosy: + rhettinger
messages: + msg304762
2017-10-20 20:09:07pablogsalsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request4033
2017-09-16 03:35:31vexoxevsetnosy: + vexoxev
2017-09-16 02:10:26eric.araujosetversions: + Python 3.6, Python 3.7, - Python 3.2, Python 3.3, Python 3.4
2013-03-09 07:57:24terry.reedysetversions: + Python 3.3, Python 3.4, - Python 3.1
2010-09-18 03:14:54terry.reedysetnosy: + terry.reedy
2010-09-13 00:55:41r.david.murraysetnosy: + r.david.murray
messages: + msg116262
2010-09-13 00:05:23eric.araujocreate